Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06117 Multisession Critical (emulator) Always Jan 1, 2016, 23:17 Jan 4, 2016, 23:04
Tester M.A.S.H. View Status Public Platform MAME (Self-compiled)
Assigned To Osso Resolution Fixed OS Windows XP
Status [?] Resolved Driver bfm_sc2.cpp
Version 0.169 Fixed in Version 0.170 Build Normal
Summary 06117: qntoond, quintoon: MAME crashed when switching games
Description MAME crashes when you switched between quintoon and qntoond.
Steps To Reproduce Start MAME and type quintoon. Select and start Quintoon (UK, Game Card 95-750-206). Press escape and type qntoond
and start Quintoon (Dutch, Game Card 95-750-243)... MAME crashed.
Additional Information
Flags
Regression Version 0.141u2
Affected Sets / Systems qntoond, quintoon
Attached Files
 
Relationships
related to 05285Resolved qntoondo, quintoon,qntoond, pokio, slotsnl, paradice, pyramid, sltblgtk, sltblgpo, sltblgp1: Adder 2 games crash if regular Scorpion 2 game played first 
Notes
7
User avatar
No.12306
Haze
Senior Tester
Jan 1, 2016, 23:18
Please do not assign bugs to other people.
User avatar
No.12307
Tafoid
Administrator
Jan 1, 2016, 23:33
edited on: Jan 1, 2016, 23:35
Correct. Only Developers themselves assign bugs if they want to work on them. As an Administrator, I'll assign them only if the Developer desires and not before. Senior Testers do have the ability to assign things to themselves because most of them do work on MAME and have been known to send in bugfixes or new code and are not on the Devlist. Just avoid assigning bugs to other people, regardless of who broke it or who you think will work on it.

A reminder, too, you cannot confirm your own reported bugs unless you have at least one other people confirm it (either from MT or taking a report from a forum and you are confirming that). This allows the process to work for everyone.

User avatar
No.12308
Tafoid
Administrator
Jan 1, 2016, 23:37
Crash Stack
Exception at EIP=0000000002576E10 (emu_timer::adjust(attotime, int, attotime const&)+0x0010): ACCESS VIOLATION
While attempting to read memory at 00000000111FCD70
-----------------------------------------------------
Stack crawl:
  000000000022A060: 0000000002576E10 (emu_timer::adjust(attotime, int, attotimeconst&)+0x0010)
  000000000022A130: 000000000053B41C (MechMtr_update(int, int)+0x00bc)
  000000000022A180: 0000000000545E02 (bfm_sc2_state::mmtr_w(address_space&, unsigned int, unsigned char, unsigned char)+0x00c2)
  000000000022A1C0: 000000000320C357 (address_space_specific<unsigned char, (endianness_t)1, false>::write_byte(unsigned int, unsigned char)+0x0067)
  000000000022A260: 000000000316FF17 (m6809_base_device::execute_one()+0x23a7)
  000000000022A2A0: 0000000001BF01E9 (m6809_base_device::execute_run()+0x0019)
  000000000022A340: 000000000257A35C (device_scheduler::timeslice()+0x053c)
  000000000022A3A0: 0000000002539A18 (running_machine::run(bool)+0x0148)
  000000000022F770: 00000000025349BC (machine_manager::execute()+0x01fc)
  000000000022F950: 0000000002485EB9 (cli_frontend::execute(int, char**)+0x0839)
  000000000022FDF0: 00000000014F53AB (utf8_main(int, char**)+0x016b)
  000000000022FE50: 0000000002971B3E (wmain+0x007e)
  000000000022FF20: 000000000040140C (__tmainCRTStartup+0x025c)
  000000000022FF50: 000000000040153B (mainCRTStartup+0x001b)
  000000000022FF80: 0000000077445A4D (BaseThreadInitThunk+0x000d)
  000000000022FFD0: 000000007757B831 (RtlUserThreadStart+0x0021)
User avatar
No.12309
M.A.S.H.
Senior Tester
Jan 1, 2016, 23:38
"Senior Testers have the ability to assign things to themselves"... Cool
User avatar
No.12310
Tafoid
Administrator
Jan 1, 2016, 23:46
So long as they are not already claimed and you have full intent to work on soon, yes, you can assign bugs to yourself as you work on them. Please do not overdo it nor reassign bug claims from anyone else.
User avatar
No.12313
Osso
Developer
Jan 2, 2016, 09:56
mame/machine/meters.cpp is one of the last relics of really old non -devicified code. It should really be updated to modern standards by someone who at least understands how to check if the meters still work after updating.
User avatar
No.12324
Osso
Developer
Jan 4, 2016, 11:59
Guess I'll give it a try and hope Tafoid can run one of his great regression tests.